package com.siwei.rsmonitoring.service;

import java.util.List;

import com.siwei.rsmonitoring.domain.TDkYwypXlsxDetails;

/**
 * 地块入库信息业务研判详情明细Service接口
 *
 * @author siwei
 * @date 2025-02-24
 */
public interface ITDkYwypXlsxDetailsService {
    /**
     * 查询地块入库信息业务研判详情明细
     *
     * @param id 地块入库信息业务研判详情明细主键
     * @return 地块入库信息业务研判详情明细
     */
    public TDkYwypXlsxDetails selectTDkYwypXlsxDetailsById(String id);

    public TDkYwypXlsxDetails selectTDkYwypXlsxDetailsBySheet(String uploadId, String sheet, String swid);

    /**
     * 查询地块入库信息业务研判详情明细列表
     *
     * @param tDkYwypXlsxDetails 地块入库信息业务研判详情明细
     * @return 地块入库信息业务研判详情明细集合
     */
    public List<TDkYwypXlsxDetails> selectTDkYwypXlsxDetailsList(TDkYwypXlsxDetails tDkYwypXlsxDetails);

    /**
     * 新增地块入库信息业务研判详情明细
     *
     * @param tDkYwypXlsxDetails 地块入库信息业务研判详情明细
     * @return 结果
     */
    public int insertTDkYwypXlsxDetails(TDkYwypXlsxDetails tDkYwypXlsxDetails);

    /**
     * 修改地块入库信息业务研判详情明细
     *
     * @param tDkYwypXlsxDetails 地块入库信息业务研判详情明细
     * @return 结果
     */
    public int updateTDkYwypXlsxDetails(TDkYwypXlsxDetails tDkYwypXlsxDetails);

    /**
     * 批量删除地块入库信息业务研判详情明细
     *
     * @param ids 需要删除的地块入库信息业务研判详情明细主键集合
     * @return 结果
     */
    public int deleteTDkYwypXlsxDetailsByIds(String[] ids);

    /**
     * 删除地块入库信息业务研判详情明细信息
     *
     * @param id 地块入库信息业务研判详情明细主键
     * @return 结果
     */
    public int deleteTDkYwypXlsxDetailsById(String id);
    public int deleteTDkYwypXlsxDetailsByUploadId(String[] id);
}
